/*
Package grand is the random number generators.

Use the following io.Reader to generate random numbers:
- grand.Reader, the go's crypto/rand (/dev/urandom in *nix)
- grand.SM3Rng, the DRNG of SM3_RNG
- grand.SM4Rng, the DRNG of SM4_RNG

example:

	buf := make([]byte,32)
	if _, err := grand.SM3Rng.Read(buf);err != nil{
		//
	}

随机数检测相关的xdx.jelly/
*/
package grand
